Sympa::Spool::Topic(3Sympa)

NAME
Sympa::Spool::Topic - Message topic

SYNOPSIS
  use Sympa::Spool::Topic;

  $topic = Sympa::Spool::Topic->new(topic => $topics, method => 'auto');
  $topic->store($message);

  $topic = Sympa::Spool::Topic->load($message);

DESCRIPTION
TBD.

  Methods

new ( options... )
    Constructor. Creates new instance of Sympa::Spool::Topic.

load ( $message, [ in_reply_to => 1 ] )
    Constructor. Looks for a msg topic file from the message_id of the message, loads it and return contained information as hash items.

    Parameters:

    $message
        Sympa::Message instance to be looked for.

    in_reply_to => 1
        Use value of "In-Reply-To:" field instead of message ID.

    Returns:

    Instance of Sympa::Spool::Topic or, if topic was not found, "undef".

store ( $message )
    Instance method. Tag the message by creating the msg topic file.

    Parameter:

    $message
        Message to be tagged.

    Returns:

    Message topic filename or "undef".

CONFIGURATION PARAMETERS

queuetopic
    Directory path where topic files are stored.

    Note: Though it is neither queue nor spool, named such by historical reason.

umask
    The umask to make directory.

CAVEAT
Sympa::Spool::Topic is not a real subsclass of Sympa::Spool.

HISTORY
Feature to handle message topics was introduced on Sympa 5.2b.

Sympa::Topic module appeared on Sympa 6.2.10. It was renamed to Sympa::Spool::Topic on Sympa 6.2.45b.3.